package com.kingdee.eas.custom.esign;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class GeneralESignBillFactory
{
    private GeneralESignBillFactory()
    {
    }
    public static com.kingdee.eas.custom.esign.IGeneralESignBill getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IGeneralESignBill)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("76ADA3F2") ,com.kingdee.eas.custom.esign.IGeneralESignBill.class);
    }
    
    public static com.kingdee.eas.custom.esign.IGeneralESignBill getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IGeneralESignBill)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("76ADA3F2") ,com.kingdee.eas.custom.esign.IGeneralESignBill.class, objectCtx);
    }
    public static com.kingdee.eas.custom.esign.IGeneralESignBill getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IGeneralESignBill)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("76ADA3F2"));
    }
    public static com.kingdee.eas.custom.esign.IGeneralESignBill getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IGeneralESignBill)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("76ADA3F2"));
    }
}